# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray2OfBezierSurface Class Reference

`#include <PColPGeom_HArray2OfBezierSurface.hxx>`

## Public Member Functions

Standard_EXPORT | PColPGeom_HArray2OfBezierSurface (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColPGeom_HArray2OfBezierSurface (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(PGeom_BezierSurface)&V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(PGeom_BezierSurface)&Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT Handle_PGeom_BezierSurface | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray2OfBezierSurface ()
| PColPGeom_HArray2OfBezierSurface (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyLowerRow () const
void | _CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyLowerCol () const
void | _CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyUpperRow () const
void | _CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyUpperCol () const
void | _CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyUpperCol (const Standard_Integer p)
const PColPGeom_FieldOfHArray2OfBezierSurface & | _CSFDB_GetPColPGeom_HArray2OfBezierSurfaceData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColPGeom_FieldOfHArray2OfBezierSurface | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColPGeom_FieldOfHArray2OfBezierSurface | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray2OfBezierSurface::PColPGeom_HArray2OfBezierSurface | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColPGeom_HArray2OfBezierSurface::PColPGeom_HArray2OfBezierSurface | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(PGeom_BezierSurface)& | V
| ) |

PColPGeom_HArray2OfBezierSurface::PColPGeom_HArray2OfBezierSurface | ( |  | ) | `[inline]`

PColPGeom_HArray2OfBezierSurface::PColPGeom_HArray2OfBezierSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray2OfBezierSurface& PColPGeom_HArray2OfBezierSurface::_CSFDB_GetPColPGeom_HArray2OfBezierSurfaceData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::_CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::_CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::_CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::_CSFDB_GetPColPGeom_HArray2OfBezierSurfacemyUpperRow | ( |  | ) | const`[inline]`

void PColPGeom_HArray2OfBezierSurface::_CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfBezierSurface::_CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfBezierSurface::_CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfBezierSurface::_CSFDB_SetPColPGeom_HArray2OfBezierSurfacemyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColPGeom_HArray2OfBezierSurface::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColPGeom_HArray2OfBezierSurface::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray2OfBezierSurface PColPGeom_HArray2OfBezierSurface::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray2OfBezierSurface::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray2OfBezierSurface::LowerCol | ( |  | ) | const

Standard_Integer PColPGeom_HArray2OfBezierSurface::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColPGeom_HArray2OfBezierSurface::RowLength | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray2OfBezierSurface::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(PGeom_BezierSurface)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray2OfBezierSurface::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray2OfBezierSurface::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::UpperCol | ( |  | ) | const

Standard_Integer PColPGeom_HArray2OfBezierSurface::UpperRow | ( |  | ) | const

Standard_EXPORT Handle_PGeom_BezierSurface PColPGeom_HArray2OfBezierSurface::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColPGeom_FieldOfHArray2OfBezierSurface PColPGeom_HArray2OfBezierSurface::Data `[private]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::myLowerCol `[private]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::myLowerRow `[private]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::myUpperCol `[private]`

Standard_Integer PColPGeom_HArray2OfBezierSurface::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray2OfBezierSurface.hxx